Please sync libktorrent 1.3.1-1 from Debian experimental main

Bug #1111458 reported by Howard Chan on 2013-01-31
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libktorrent (Ubuntu)
Wishlist
Unassigned

Bug Description

Please sync libktorrent 1.3.1-1 from Debian experimental (main).

This is needed as to be a dependency of ktorrent 4.3.1-1.

Changelog:
libktorrent (1.3.1-1) experimental; urgency=low

   * New upstream release.

  -- Modestas Vainius <email address hidden> Sun, 27 Jan 2013 11:36:04 +0200

Related branches

Bryce Harrington (bryce) on 2013-01-31
Changed in libktorrent (Ubuntu):
importance: Undecided → Wishlist
Daniel Holbach (dholbach) wrote :

Did you try to test-build this? It fails for me because the ubuntu change is dropped.

   dh_makeshlibs -Xusr/lib/kde4/ -O--parallel -O-- -O--dbg-package=libktorrent-dbg
dpkg-gensymbols: warning: some new symbols appeared in the symbols file: see diff output below
dpkg-gensymbols: warning: some symbols or patterns disappeared in the symbols file: see diff output below
dpkg-gensymbols: warning: debian/libktorrent5/DEBIAN/symbols doesn't match completely debian/libktorrent5.symbols
--- debian/libktorrent5.symbols (libktorrent5_1.3.1-1_amd64)
+++ dpkg-gensymbolsSuM1Pn 2013-02-01 07:08:23.607929094 +0000
@@ -453,7 +453,8 @@
  _ZN2bt13SignalCatcher11handleInputEi@Base 1.3.0
  _ZN2bt13SignalCatcher11qt_metacallEN11QMetaObject4CallEiPPv@Base 1.3.0
  _ZN2bt13SignalCatcher11qt_metacastEPKc@Base 1.3.0
- _ZN2bt13SignalCatcher13signalHandlerEiP7siginfoPv@Base 1.3.0
+#MISSING: 1.3.1-1# _ZN2bt13SignalCatcher13signalHandlerEiP7siginfoPv@Base 1.3.0
+ _ZN2bt13SignalCatcher13signalHandlerEiP9siginfo_tPv@Base 1.3.1-1
  _ZN2bt13SignalCatcher16staticMetaObjectE@Base 1.3.0
  _ZN2bt13SignalCatcher20signal_received_pipeE@Base 1.3.0
  _ZN2bt13SignalCatcher9triggeredEv@Base 1.3.0
dh_makeshlibs: dpkg-gensymbols -plibktorrent5 -Idebian/libktorrent5.symbols -Pdebian/libktorrent5 -edebian/libktorrent5/usr/lib/libktorrent.so.5.0.1
 returned exit code 1
make: *** [binary] Error 1
dpkg-buildpackage: error: fakeroot debian/rules binary gave error exit status 2
E: Failed autobuilding of package
I: unmounting dev/pts filesystem
I: unmounting proc filesystem
I: cleaning the build env

Changed in libktorrent (Ubuntu):
status: New → Incomplete
Bhavani Shankar (bhavi) wrote :

Unsubscribing sponsors for now. Please subscribe once the merge is ready

Regards
Bhavani

Howard Chan (smartboyhw) wrote :

It is now ready for merging.

Bhavani Shankar (bhavi) wrote :

Uploaded to raring-proposed

libktorrent (1.3.1-1ubuntu1) raring; urgency=low

  * Merge from debian experimental (LP: #1111458)
    + Update symbols file to fix FTBFS with raring toolchain.

libktorrent (1.3.1-1) experimental; urgency=low

  * New upstream release.

Date: Mon, 04 Feb 2013 22:32:34 +0800
Changed-By: Howard Chan <email address hidden>
Maintainer: Ubuntu Developers <email address hidden>
Signed-By: Bhavani Shankar <email address hidden>
https://launchpad.net/ubuntu/raring/+source/libktorrent/1.3.1-1ubuntu1

Marking as fixed.

Regards
Bhavani

Changed in libktorrent (Ubuntu):
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers